Page MenuHomePhabricator

Give Seddon access to the analytics cluster
Closed, ResolvedPublic

Description

Please add user seddon (https://github.com/wikimedia/puppet/blob/production/modules/admin/data/data.yaml#L2909) to the group analytics-privatedata-users.

Event Timeline

Restricted Application added a project: Operations. · View Herald TranscriptMay 11 2018, 12:18 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Dzahn added a subscriber: Dzahn.May 11 2018, 2:50 AM

Hi @Jseddon Let's make sure that is really the right group for what you need. What specifically do you need access to? Could you add a little context what this is for? Thank you.

Dzahn added a subscriber: Nuria.May 11 2018, 2:51 AM
Jseddon added a comment.EditedMay 11 2018, 3:17 AM

Hey @Dzahn,

My current need access to stat1005 so that I can be able to get near real-time page views data for the target pages used in central-notice campaigns. This for two uses, firstly A/B testing and secondly verifying live campaigns.

I've been using pageview.api up until now but population of data can take days for newly created pages. Whilst the aggregate hourly data would suffice for A/B testing it is not sufficient for the verification of a live campaign where the need for confirmation is immediate after launch.

Regards
Seddon

Nuria added a comment.EditedMay 11 2018, 5:56 PM

get near real-time page views dat

So we are clear data is about couple hours delayed, there is no near-real time data on stats machines, unless, that is, two/three hours counts as near real time.

Your team has a project about adding EL instrumentation for banners and that - i think- would be the most real time data we have about this. Makes sense?

Dzahn triaged this task as Normal priority.May 12 2018, 1:50 AM

The requested group makes sense. Nuria, 2-3 hours delay is kinda 'near real time'? :)

So the 2-3 hours turnaround is certainly fulfilling the needs of A/B testing requirements and vastly improves the ability to verify a campaign setup. Reducing both from 2-3 days to 2-3 hours.

Nuria added a comment.May 14 2018, 4:42 PM

Access approved

Dzahn added a subscriber: herron.May 14 2018, 4:55 PM

Thank you all for explaining and approval. I'll hand this over to @herron now to finish it since we are on a rotating clinic duty.

Dzahn assigned this task to herron.May 14 2018, 7:59 PM

Change 433025 had a related patch set uploaded (by Herron; owner: Herron):
[operations/puppet@production] admin: add user seddon to analytics-privatedata-users

https://gerrit.wikimedia.org/r/433025

@Jseddon I don't think we have an SSH key on file for you yet.

Could you please provide the unique ssh public key that you'll be using to access the production environment? Pasting it into a comment here works. Additional details can be found at https://wikitech.wikimedia.org/wiki/Production_shell_access#Setting_up_your_access

Thanks in advance!

ssh-rsa

AAAAB3NzaC1yc2EAAAADAQABAAACAQC8dbGveSAbYpf9dfFbSbNcIlxnQwhBOZJ+y8MIIX650ujHRofwZEcnUFDIGqEHCMO6clYuFFxN8GUcBzSQI+R9IoIH+GSmx3SIdMVtjMmgwkqPdSjmmrhfUsnSO/2g1jM+Kj33CC4iuW7rEhZdkOaFiRoJDn71kHf2JPwHUnFPVAVYuzrxugXtyErcbEGTNFc08NA3CEr/hIckBSTqnfFJ3+j1BgQaehT+Af3Kl04zgdaEWqpWzoCtrtBH4B0SqMUkUUe5yyVibqXbkmoJwXj6BmdO0FXIyclz4Or7N+/meqLtF9X+iKHB1IReCeNslcNFo0wIs9e9ykznvi/of4+vYk2oW+0uz6L2HsgHcyLx1txiaEEHIVd9BPsUU9bc7xgxzRTpmJe1gRmnrdQ/8N9R2zsVfjI4G7FBi0hbuumxhPn40jijjswCwL7GthE7uH2j8XoH57V7HP8UPFyCafLTKPXX0BIxMATY6w7BiDRjqcnznfhp4Zu9irDqAzSfjaFc0mbEDT2L3xU1ePLzA0zm6x2YZ0WUjWkPobxjc2RkoDijhVU33h2UOJYv5lrJrZG/eNkOIjM5D0pG/CAK9KM98L4UtPNhwhv7G3o7fvw9DCshqDu1+3vRfe0iYzz0Xc5qcophoOBgVnf1bcKnu5QbMFoqN+T/Skwtev+nIwTuAQ== josephseddpm@DESKTOP-5C4F4VN

Change 433025 merged by Herron:
[operations/puppet@production] admin: add user seddon to analytics-privatedata-users

https://gerrit.wikimedia.org/r/433025

herron closed this task as Resolved.May 15 2018, 7:26 PM

Hi @Jseddon, your shell account seddon has been created and added to group analytics-privatedata-users. You should now be able to log in to relevant systems, for example stat1005.eqiad.wmnet.

Please note that your ssh client will need to be configured to proxy through a bastion host in order to connect. Details about that configuration can be found at https://wikitech.wikimedia.org/wiki/Production_shell_access#Setting_up_your_SSH_config

I'll transition this task to resolved now, but please don't hesitate to follow up with any questions!

Vvjjkkii renamed this task from Give Seddon access to the analytics cluster to 25caaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed herron as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from 25caaaaaaa to Give Seddon access to the analytics cluster.Jul 2 2018, 1:48 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to herron.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.